plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
}

android {
    compileSdk = rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    signingConfigs {
        release {
            if (project.hasProperty("Keystore.properties")) {
                String filePath = project.property("Keystore.properties")
                File propsFile = new File(filePath)
                if (propsFile.exists()) {
                    Properties props = new Properties()
                    props.load(propsFile.newDataInputStream())

                    storeFile file(props['keystore'])
                    storePassword props['keystore.password']
                    keyAlias props['keyAlias']
                    keyPassword props['keyAlias.password']
                }
            }
        }
    }

    defaultConfig {
        applicationId "com.convenient.android.lib"

        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode rootProject.ext.versionCode
        versionName rootProject.ext.versionName
        flavorDimensions "lib"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        ndk {
            abiFilters "armeabi-v7a", "arm64-v8a", "x86", "x86_64"
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    productFlavors {

        defaultTest {

        }

        appLovinMaxTest {
            applicationId "com.pdftechnologies.pdfreaderpro"
            signingConfig signingConfigs.release

        }

    }


    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = '1.8'
    }

    buildFeatures {
        viewBinding = true
        dataBinding = true
    }

    buildFeatures {
        compose true
    }
    composeOptions {
        kotlinCompilerExtensionVersion compose_version
    }

}


dependencies {

    implementation fileTree(dir: 'libs', include: ['*.jar','*.aar'])

//    implementation 'com.google.android.gms:play-services-ads:21.3.0'
//    implementation 'com.pangle.cn:ads-sdk-pro:4.8.0.8'
//    implementation "com.gromore.cn:gromore-sdk:3.7.0.3"
//    implementation "com.gromore.cn:pangle-adapter:4.8.0.8.2"
    //mintegral
//    api("com.mbridge.msdk.support:videojs:16.2.27")
//    api("com.mbridge.msdk.support:mbjscommon:16.2.27")
//    api("com.mbridge.msdk.support:playercommon:16.2.27")
//    api("com.mbridge.msdk.support:reward:16.2.27")
//    api("com.mbridge.msdk.support:videocommon:16.2.27")
//    api("com.mbridge.msdk.support:chinasame:16.2.27")
//    api("com.mbridge.msdk.support:interstitialvideo:16.2.27")
//    api("com.mbridge.msdk.support:mbnative:16.2.27")
//    api("com.mbridge.msdk.support:nativeex:16.2.27")
//    api("com.mbridge.msdk.support:mbnativeadvanced:16.2.27")
//    api("com.mbridge.msdk.support:interstitial:16.2.27")
//    api("com.mbridge.msdk.support:mbbanner:16.2.27")
//    api("com.mbridge.msdk.support:mbsplash:16.2.27")
//    api("com.mbridge.msdk.support:mbbid:16.2.27")
//    api("com.mbridge.msdk.support:newinterstitial:16.2.27")


    implementation project(':lib_common')
    implementation project(':lib_ad_core')
    implementation project(':lib_ad_admob')
    implementation project(':lib_ad_csj')
    implementation project(':lib_ad_applovinmax')
    implementation project(':lib_ad_gromore')
    implementation project(':lib_ad_scope')
    implementation project(':lib_pdf_base')

    //compose依赖
    implementation "androidx.compose.ui:ui:$compose_version"
    implementation 'androidx.compose.material3:material3:1.1.0-rc01'
    implementation "androidx.compose.ui:ui-tooling-preview:$compose_version"
    implementation 'androidx.lifecycle:lifecycle-runtime-ktx:2.6.1'
    implementation 'androidx.activity:activity-compose:1.7.1'
    implementation "androidx.constraintlayout:constraintlayout-compose:1.0.1"

    // compose 图片加载
    implementation("io.coil-kt:coil-compose:2.1.0")

    implementation "com.google.accompanist:accompanist-systemuicontroller:0.23.1"
    implementation "com.google.accompanist:accompanist-insets:0.23.1"
    implementation "com.google.accompanist:accompanist-insets-ui:0.23.1"
    implementation "com.google.accompanist:accompanist-systemuicontroller:0.23.1"

    implementation "androidx.navigation:navigation-compose:2.5.3"
    implementation "androidx.compose.runtime:runtime-livedata:1.4.2"
    implementation "androidx.lifecycle:lifecycle-viewmodel-compose:2.6.1"
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.8.0'

    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'
    androidTestImplementation "androidx.compose.ui:ui-test-junit4:$compose_version"
    debugImplementation "androidx.compose.ui:ui-tooling:$compose_version"
    debugImplementation "androidx.compose.ui:ui-test-manifest:$compose_version"

}